hadoop-common-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Steve Loughran (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (HADOOP-12767) update apache httpclient version to the latest 4.5 for security
Date Thu, 21 Apr 2016 15:37:25 GMT

    [ https://issues.apache.org/jira/browse/HADOOP-12767?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=15252070#comment-15252070
] 

Steve Loughran commented on HADOOP-12767:
-----------------------------------------

Linked to HADOOP-9991

Know that updating JARs inevitably breaks something —especially downstream, so we are usually
pretty reluctant to do it. If it is a security problem, then it should get more attention,
but it's still something we are cautious about.

> update apache httpclient version to the latest 4.5 for security
> ---------------------------------------------------------------
>
>                 Key: HADOOP-12767
>                 URL: https://issues.apache.org/jira/browse/HADOOP-12767
>             Project: Hadoop Common
>          Issue Type: Bug
>          Components: build
>    Affects Versions: 2.7.2
>            Reporter: Artem Aliev
>            Assignee: Artem Aliev
>         Attachments: HADOOP-12767-branch-2.004.patch, HADOOP-12767.001.patch, HADOOP-12767.002.patch,
HADOOP-12767.003.patch, HADOOP-12767.004.patch
>
>
> Various SSL security fixes are needed.  See:  CVE-2012-6153, CVE-2011-4461, CVE-2014-3577,
CVE-2015-5262.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message